@charset "UTF-8";

/* variables css */
:root {
  --bf-pink-light: #f8dde9;
  --bf-pink-light-rgb: 248,241,233;
  --bf-pink-dark: #dd5792;
  --bf-green-light: #82b86a;
  --bf-green-dark: #628a50;
  --bf-font-sans-serif: 'Yanone Kaffeesatz', sans-serif, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --bf-body-font-size: 1.5rem;
  --bf-body-font-weight: 400;
  --bf-body-line-height: 1.5;
  --bf-navbar-brand-font-size: 2rem;
}

/* base text */
body {
  margin: 0;
  font-family: var(--bf-font-sans-serif);
  color: var(--bf-green-dark);
  background-color: var(--bf-pink-light);
  font-size: var(--bf-body-font-size);
  font-weight: var(--bf-body-font-weight);
  line-height: var(--bf-body-line-height);
}

h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
  font-family: var(--bf-font-sans-serif);
}

a {
  color: var(--bf-green-dark);
}

a:hover {
  color: var(--bf-green-light);
}

/* BF text colors */
.text-pink-light {
  color:var(--bf-pink-light);
}

.text-pink-dark {
  color: var(--bf-pink-dark);
}

.text-green-light {
  color: var(--bf-green-light);
}

.text-green-dark {
  color: var(--bf-green-dark);
}

/* BF background colors */
.bg-pink-light {
  background-color: var(--bf-pink-light);
}

.bg-pink-dark {
  background-color: var(--bf-pink-dark);
}

/* BF border colors */
.bg-pink-dark {
  border-color: var(--boder-pink-dark);
}

/* BF border colors */

.btn-outline-pink-dark {
  border-color: var(--bf-pink-dark)!important;
  color: var(--bf-pink-dark);
}
.btn-outline-pink-dark:hover {
  background-color:var(--bf-pink-dark);
  color:white;
}

/* Navbar */
.navbar-brand {
  font-size: var(--bf-navbar-brand-font-size);
}

.navbar-brand {
  color: var(--bf-green-dark);
}

.navbar-nav li.nav-item a.nav-link,
.navbar-nav a.nav-link {
  color: var(--bf-green-dark);
}

.navbar-nav li.nav-item a.nav-link:hover,
.navbar-nav a.nav-link:hover {
  color: var(--bf-green-light);
}

.navbar-nav li.nav-item a.nav-link:active,
.navbar-nav li.nav-item a.nav-link:focus,
.navbar-nav a.nav-link:active,
.navbar-nav a.nav-link:focus {
  color: var(--bf-pink-dark);
}

.navbar-nav li.nav-item a.nav-link.active,
.navbar-nav a.nav-link.active {
  color: var(--bf-green-light);
}

.navbar-collapse.show .nav-link {
  margin: 5px 0;
  background-color: var(--bf-pink-light);
  padding: 0.25em 1em;
}

#sidebar-img img{
  animation: sidebar 10s infinite;
}

@keyframes sidebar {
  0% {
    transform: scaleX(-1);
  }
  45% {
    transform: scaleX(-1);
  }
  50% {
    transform: scaleX(1);
  }
  95% {
    transform: scaleX(1);
  }
  100% {
    transform: scaleX(-1);
  }
}
